summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author nullboy <antiwire@gmail.com>2010-05-11 22:54:51 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:51 +0200
commit796aabd6565e49170f515ddaa36dc0f1b38b6be8 (patch)
treeacb63b83d2ccac5d61d607c2392518faeacd0c4d /network
parent98c52dfb5c6cf4acdcf26b8715f619c014cc2c38 (diff)
downloadslackbuilds-796aabd6565e49170f515ddaa36dc0f1b38b6be8.tar.gz
slackbuilds-796aabd6565e49170f515ddaa36dc0f1b38b6be8.tar.xz
network/iw: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/iw/README7
-rw-r--r--network/iw/iw.SlackBuild65
-rw-r--r--network/iw/iw.info8
-rw-r--r--network/iw/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/network/iw/README b/network/iw/README
new file mode 100644
index 0000000000..e5389d55fd
--- /dev/null
+++ b/network/iw/README
@@ -0,0 +1,7 @@
+iw is a new nl80211 based CLI configuration utility for wireless devices.
+Currently you can only use this utility to configure devices which use a
+mac80211 driver, as these are the new drivers being written - most new
+wireless devices being sold are now SoftMAC. List of mac80211 drivers:
+http://wireless.kernel.org/en/developers/Documentation/mac80211#mac80211drivers
+
+iw requires libnl, which is also available at SlackBuilds.org.
diff --git a/network/iw/iw.SlackBuild b/network/iw/iw.SlackBuild
new file mode 100644
index 0000000000..d02a49a7f7
--- /dev/null
+++ b/network/iw/iw.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+# Slackware build script for iw
+# Written by nullboy (antiwire@gmail.com)
+# Some portions, methods and/or ideas obtained from:
+# http://slackbuilds.org/template.SlackBuild
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=iw
+VERSION=${VERSION:-0.9.6}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# I've sent a patch upstream to make this unnecessary --rworkman
+# http://marc.info/?l=linux-wireless&m=122707106209548&w=2
+mv $PKG/usr/bin $PKG/usr/sbin
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/iw/iw.info b/network/iw/iw.info
new file mode 100644
index 0000000000..2dd5362065
--- /dev/null
+++ b/network/iw/iw.info
@@ -0,0 +1,8 @@
+PRGNAM="iw"
+VERSION="0.9.6"
+HOMEPAGE="http://wireless.kernel.org/en/users/Documentation/iw"
+DOWNLOAD="http://wireless.kernel.org/download/iw/iw-0.9.6.tar.bz2"
+MD5SUM="d3cadc8f3388bedb26653c28075c711e"
+MAINTAINER="nullboy"
+EMAIL="antiwire@gmail.com"
+APPROVED="rworkman"
diff --git a/network/iw/slack-desc b/network/iw/slack-desc
new file mode 100644
index 0000000000..e0ef508ea0
--- /dev/null
+++ b/network/iw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------------|
+iw: iw (configuration utility for wireless devices)
+iw:
+iw: Currently you can only use this utility to configure devices which use
+iw: a mac80211 driver, as these are the new drivers being written only
+iw: because most new wireless devices being sold are now SoftMAC.
+iw:
+iw: Homepage: http://wireless.kernel.org/en/users/Documentation/iw
+iw:
+iw:
+iw:
+iw: